libzypp: zypp::SavingLocksReport Struct Reference

libzypp 17.38.8

zypp::SavingLocksReport Struct Reference

this callback handles merging old locks with newly added or removed More...

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::SavingLocksReport:

## Public Types
enum | Action { ABORT , DELETE , IGNORE }
| action for old lock which is in conflict More...
enum | Error { NO_ERROR , ABORTED }
| result of merging More...
enum | ConflictState { SAME_RESULTS , INTERSECT }
| type of conflict of old and new lock More...
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Public Member Functions
virtual void | start ()
virtual bool | progress ()
| merging still live
virtual Action | conflict (const PoolQuery &, ConflictState)
| When user unlock something which is locked by non-identical query.
virtual void | finish (Error)
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Detailed Description

this callback handles merging old locks with newly added or removed

Definition at line 1014 of file ZYppCallbacks.h.

## Member Enumeration Documentation

## ◆ Action

enum zypp::SavingLocksReport::Action

action for old lock which is in conflict

See also
  ConflictState

Enumerator
ABORT | abort and return error
DELETE | delete conflicted lock
IGNORE | skip conflict lock

Definition at line 1020 of file ZYppCallbacks.h.

## ◆ Error

enum zypp::SavingLocksReport::Error

result of merging

Enumerator
NO_ERROR | no problem
ABORTED | cleaning aborted by user

Definition at line 1029 of file ZYppCallbacks.h.

## ◆ ConflictState

enum zypp::SavingLocksReport::ConflictState

type of conflict of old and new lock

Enumerator
SAME_RESULTS | locks lock same item in pool but its parameters are different
INTERSECT | locks lock some file and unlocking lock unlock only part of iti, so removing old lock can unlock more items in pool

Definition at line 1037 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ start()

virtual void zypp::SavingLocksReport::start | ( |  | ) |
| inlinevirtual

Definition at line 1043 of file ZYppCallbacks.h.

## ◆ progress()

virtual bool zypp::SavingLocksReport::progress | ( |  | ) |
| inlinevirtual

merging still live

Returns
  if continue

Definition at line 1049 of file ZYppCallbacks.h.

## ◆ conflict()

virtual Action zypp::SavingLocksReport::conflict | ( | const PoolQuery & | ,
|  | ConflictState | )
| inlinevirtual

When user unlock something which is locked by non-identical query.

Definition at line 1055 of file ZYppCallbacks.h.

## ◆ finish()

virtual void zypp::SavingLocksReport::finish | ( | Error |  | ) |
| inlinevirtual

Definition at line 1060 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h